AOWP_MethodExecutionJoinPoint (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.joinpoint /.AOWP_MethodExecutionJoinPoint
/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 13

# Class AOWP_MethodExecutionJoinPoint

    AOWP_JoinPoint
        └─AOWP_JoinPointWithArguments
           └─AOWP_MethodExecutionJoinPoint

public class AOWP_MethodExecutionJoinPoint
extends AOWP_JoinPointWithArguments

メソッド実行を表すジョインポイントです。

Author:
  keiji

Field Summary
private mixed | $_className
private mixed | $_invokedObject
private mixed | $_methodName
private mixed | $_modifierArray
private mixed | $_parameterCount

Fields inherited from aowp.aspect.joinpoint /.AOWP_JoinPointWithArguments
_argumentArray, _staticArgumentCount

Fields inherited from aowp.aspect.joinpoint /.AOWP_JoinPoint
_ast, _executedAdvice, _fileFullPath, _fileName, _line, _proceedFunctionName, _returnValue, _timestamp

Constructor Summary
AOWP_MethodExecutionJoinPoint(mixed element, mixed fileName)

Method Summary
void | addModifier(string modifier)
string | getClassName()
mixed | getInvokedObject() 呼び出されるオブジェクトを取得します。
string | getMethodName() 呼び出すメソッド名を取得します。
array | getModifierArray()
void | getParameterCount()
void | haveModifier(mixed modifier)
mixed | proceed(mixed argumentArray, $argumentArray ) aroundアドバイスの時に、ポイントカットで選択した元の処理を呼び出します。 もし、ポイントカットで選択したジョインポイントが、引き数を持つ場合、引き数は、配列にして渡して下さい。 aroundアドバイス以外の時に呼び出した場合、何も処理をせず、返り値も返しません。 返り値は、元の処理に返り値が有る場合、その値が返ります。
void | setClassName(string className)
void | setInvokedObject(mixed invokedObject)
void | setMethodName(mixed methodName)
void | setParameterCount(mixed parameterCount)

Methods inherited from aowp.aspect.joinpoint /.AOWP_JoinPointWithArguments
addArgument, getArgument, getArgumentArray, getStaticArgumentCount, setArgument, setStaticArgumentCount

Methods inherited from aowp.aspect.joinpoint /.AOWP_JoinPoint
getAST, getExecutedAdvice, getFileFullPath, getFileName, getFormData, getLineNumber, getReturnValue, getSessionID, getTimestamp, proceed, setAST, setExecutedAdvice, setProceedFunctionName, setReturnValue

## Field Detail

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 15

### _className

`private mixed $_className`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 16

### _invokedObject

`private mixed $_invokedObject`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 17

### _methodName

`private mixed $_methodName`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 18

### _modifierArray

`private mixed $_modifierArray`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 19

### _parameterCount

`private mixed $_parameterCount`

## Constructor Detail

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 21

### AOWP_MethodExecutionJoinPoint

`public AOWP_MethodExecutionJoinPoint(mixed element, mixed fileName)`

## Method Detail

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 60

### addModifier

`public void addModifier(string modifier)`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 51

### getClassName

`public string getClassName()`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 82

### getInvokedObject

`public mixed getInvokedObject()`

呼び出されるオブジェクトを取得します。

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 94

### getMethodName

`public string getMethodName()`

呼び出すメソッド名を取得します。

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 67

### getModifierArray

`public array getModifierArray()`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 35

### getParameterCount

`public void getParameterCount()`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 70

### haveModifier

`public void haveModifier(mixed modifier)`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 98

### proceed

`public mixed proceed(mixed argumentArray, $argumentArray )`

aroundアドバイスの時に、ポイントカットで選択した元の処理を呼び出します。 もし、ポイントカットで選択したジョインポイントが、引き数を持つ場合、引き数は、配列にして渡して下さい。 aroundアドバイス以外の時に呼び出した場合、何も処理をせず、返り値も返しません。 返り値は、元の処理に返り値が有る場合、その値が返ります。

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 44

### setClassName

`public void setClassName(string className)`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 74

### setInvokedObject

`public void setInvokedObject(mixed invokedObject)`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 86

### setMethodName

`public void setMethodName(mixed methodName)`

/aspect/joinpoint/MethodExecutionJoinPoint.class.php at line 32

### setParameterCount

`public void setParameterCount(mixed parameterCount)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr